## qt6-webengine 6.2.4+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

include(.cmake.conf)
include(ExternalProject)
include(cmake/Functions.cmake)

project(QtWebEngine
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "QtWebEngine and QtPdf modules"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS
    Gui Widgets Network OpenGL Quick Qml PrintSupport
    WebChannel Positioning QuickControls2 Test QuickWidgets QuickTest WebSockets Designer
)

if(MATRIX_BUILD AND NOT MATRIX_SUBBUILD AND NOT QT_SUPERBUILD)
    add_build(webengine_webrtc OFF)
    add_build(webengine_proprietary_codecs ON)
    add_build(webengine_printing_and_pdf OFF)
    add_build(webengine_extensions OFF)
    add_build(webengine_spellchecker OFF)
    add_build(qtwebengine_build OFF)
    return()
endif()

qt_build_repo()

=== examples/webenginequick/CMakeLists.txt ===
qt_internal_add_example(customdialogs)
qt_internal_add_example(lifecycle)
qt_internal_add_example(minimal)
qt_internal_add_example(quicknanobrowser)
qt_internal_add_example(webengineaction)
if(TARGET Qt::QuickControls2)
    qt_internal_add_example(recipebrowser)
endif()

=== examples/pdf/pdfviewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pdfviewer LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/pdf/pdfviewer")

find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)

qt_add_executable(pdfviewerquick
    main.cpp
)
set_target_properties(pdfviewerquick PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(pdfviewerquick PUBLIC
    Qt::Gui
    Qt::Qml
)

set(viewer_resource_files
    "resources/document-open.svg"
    "resources/edit-clear.svg"
    "resources/edit-copy.svg"
    "resources/edit-select-all.svg"
    "resources/go-down-search.svg"
    "resources/go-next-view-page.svg"
    "resources/go-previous-view-page.svg"
    "resources/go-up-search.svg"
    "resources/rotate-left.svg"
    "resources/rotate-right.svg"
    "resources/test.pdf"
    "resources/zoom-fit-best.svg"
    "resources/zoom-fit-width.svg"
    "resources/zoom-in.svg"
    "resources/zoom-original.svg"
    "resources/zoom-out.svg"
    "viewer.qml"
)

qt_add_resources(pdfviewerquick "viewer"
    PREFIX
        "/pdfviewer"
    FILES
        ${viewer_resource_files}
)

install(TARGETS pdfviewerquick
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginequick/customdialogs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(customdialogs LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginequick/customdialogs")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineQuick)

qt_add_executable(customdialogs
    main.cpp
    server.cpp server.h
)
set_target_properties(customdialogs PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(customdialogs PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineQuick
)

set(customdialogs_resource_files
    "MessageRectangle.qml"
    "SwitchButton.qml"
    "WebView.qml"
    "forms/Authentication.qml"
    "forms/AuthenticationForm.ui.qml"
    "forms/ColorCell.qml"
    "forms/ColorPicker.qml"
    "forms/ColorPickerForm.ui.qml"
    "forms/CustomButton.qml"
    "forms/FilePicker.qml"
    "forms/FilePickerForm.ui.qml"
    "forms/FileRow.qml"
    "forms/JavaScript.qml"
    "forms/JavaScriptForm.ui.qml"
    "forms/Menu.qml"
    "forms/MenuForm.ui.qml"
    "icon.svg"
    "index.html"
    "main.qml"
    "style.css"
)

qt_add_resources(customdialogs "customdialogs"
    PREFIX
        "/"
    FILES
        ${customdialogs_resource_files}
)

if(TARGET Qt::Widgets)
    target_link_libraries(customdialogs PUBLIC
        Qt::Widgets
    )
endif()

install(TARGETS customdialogs
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginequick/lifecycle/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(lifecycle LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginequick/lifecycle")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS QuickControls2)
find_package(Qt6 COMPONENTS WebEngineQuick)

qt_add_executable(lifecycle
    main.cpp
)
set_target_properties(lifecycle PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(lifecycle PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineQuick
)


# Resources:
set(resources_resource_files
    "WebBrowser.qml"
    "WebTab.qml"
    "WebTabBar.qml"
    "WebTabButton.qml"
    "WebTabStack.qml"
    "WebToolButton.qml"
    "qtquickcontrols2.conf"
)

qt_add_resources(lifecycle "resources"
    PREFIX
        "/"
    FILES
        ${resources_resource_files}
)

install(TARGETS lifecycle
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginequick/minimal/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(minimal LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginequick/minimal-qml")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineQuick)

qt_add_executable(webengine-minimal-qml
    main.cpp
)
set_target_properties(webengine-minimal-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(webengine-minimal-qml PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineQuick
)


# Resources:
set(qml_resource_files
    "main.qml"
)

qt_add_resources(webengine-minimal-qml "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS webengine-minimal-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/cookiebrowser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(cookiebrowser LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/cookiebrowser")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineWidgets)

qt_add_executable(cookiebrowser
    cookiedialog.ui
    cookiewidget.ui
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)
set_target_properties(cookiebrowser PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(cookiebrowser PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)


# Resources:
set(cookiebrowser_resource_files
    "3rdparty/view-refresh.png"
)

qt_add_resources(cookiebrowser "cookiebrowser"
    PREFIX
        "/"
    BASE
        "3rdparty"
    FILES
        ${cookiebrowser_resource_files}
)

install(TARGETS cookiebrowser
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/markdowneditor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(markdowneditor LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/markdowneditor")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineWidgets)
find_package(Qt6 COMPONENTS WebChannel)

qt_add_executable(markdowneditor
    document.cpp document.h
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
    previewpage.cpp previewpage.h
)
set_target_properties(markdowneditor PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(markdowneditor PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebChannel
    Qt::WebEngineWidgets
)


# Resources:
set(markdowneditor_resource_files
    "resources/3rdparty/markdown.css"
    "resources/3rdparty/marked.js"
    "resources/default.md"
    "resources/index.html"
)

qt_add_resources(markdowneditor "markdowneditor"
    PREFIX
        "/"
    BASE
        "resources"
    FILES
        ${markdowneditor_resource_files}
)

install(TARGETS markdowneditor
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/notifications/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(notifications LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/notifications")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineWidgets)

qt_add_executable(notifications
    main.cpp
    notificationpopup.h
)
set_target_properties(notifications PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(notifications PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)


# Resources:
set(data_resource_files
    "data/icon.png"
    "data/index.html"
)

qt_add_resources(notifications "data"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        ${data_resource_files}
)

install(TARGETS notifications
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webenginewidgets/simplebrowser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(simplebrowser LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webenginewidgets/simplebrowser")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS WebEngineWidgets)

qt_add_executable(simplebrowser
    browser.cpp browser.h
    browserwindow.cpp browserwindow.h
    certificateerrordialog.ui
    downloadmanagerwidget.cpp downloadmanagerwidget.h downloadmanagerwidget.ui
    downloadwidget.cpp downloadwidget.h downloadwidget.ui
    main.cpp
    passworddialog.ui
    tabwidget.cpp tabwidget.h
    webpage.cpp webpage.h
    webpopupwindow.cpp webpopupwindow.h
    webview.cpp webview.h
)
set_target_properties(simplebrowser PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(simplebrowser PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebEngineWidgets
)


# Resources:
set(simplebrowser_resource_files
    "data/AppLogoColor.png"
    "data/ninja.png"
)

qt_add_resources(simplebrowser "simplebrowser"
    PREFIX
        "/"
    BASE
        "data"
    FILES
        ${simplebrowser_resource_files}
)
set(simplebrowser1_resource_files
    "data/3rdparty/dialog-error.png"
    "data/3rdparty/edit-clear.png"
    "data/3rdparty/go-bottom.png"
    "data/3rdparty/go-next.png"
    "data/3rdparty/go-previous.png"
    "data/3rdparty/process-stop.png"
    "data/3rdparty/text-html.png"
    "data/3rdparty/view-refresh.png"
)

qt_add_resources(simplebrowser "simplebrowser1"
    PREFIX
        "/"
    BASE
        "data/3rdparty"
    FILES
        ${simplebrowser1_resource_files}
)

install(TARGETS simplebrowser
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-webengine (6.2.4+dfsg-6ubuntu1) jammy; urgency=medium

  * Reduce memory consumption in chromium build.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Apr 2022 20:33:54 +0100

qt6-webengine (6.2.4+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Tweak build options for armhf once more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Apr 2022 15:31:38 +0200

qt6-webengine (6.2.4+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Tweak build options for armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Apr 2022 21:45:34 +0200

qt6-webengine (6.2.4+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to reduce debugging info.

 -- Patrick Franz <deltaone@debian.org>  Fri, 08 Apr 2022 21:45:49 +0200

qt6-webengine (6.2.4+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Tweak build options for armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Apr 2022 21:22:25 +0200

qt6-webengine (6.2.4+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to mitigate CVE-2022-1096 in Chromium.

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Apr 2022 19:32:12 +0200

qt6-webengine (6.2.4+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update ABI to 6.2.4.
  * Update symbols from buildlogs.
  * Bump minimum version for cmake to 3.19.
  * Re-enable building on i386 and armhf.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Apr 2022 02:30:06 +0200

qt6-webengine (6.2.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Lower minimum version for libicu to 67.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Feb 2022 18:43:10 +0100

qt6-webengine (6.2.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:09:30 +0100

qt6-webengine (6.2.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable building on 32 bit architectures.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Feb 2022 15:39:04 +0100

qt6-webengine (6.2.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix architecture for libqt6webengine6-data.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Feb 2022 22:21:14 +0100

qt6-webengine (6.2.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to the following architectures:
    amd64 arm64 armhf i386
  * Reduce memory consumption during building on armhf.

 -- Patrick Franz <deltaone@debian.org>  Mon, 31 Jan 2022 20:00:59 +0100

qt6-webengine (6.2.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #1000166)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 22:33:38 +0100

=== debian/control ===
Source: qt6-webengine
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: binutils (>= 2.32-8~),
               bison,
               cmake (>= 3.19~),
               debhelper-compat (= 13),
               flex,
               gperf,
               libavcodec-dev (>= 7:4.0~),
               libavformat-dev (>= 7:4.0~),
               libavutil-dev (>= 7:4.0~),
               libcups2-dev (>= 1.5.0),
               libdbus-1-dev,
               libegl1-mesa-dev,
               libevent-dev,
               libfontconfig1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev (>= 67~),
               libjpeg-dev,
               libjs-d3,
               libjs-jquery,
               libjs-jquery-tablesorter,
               libjsoncpp-dev,
               libkrb5-dev,
               liblcms2-dev,
               libminizip-dev,
               libnss3-dev,
               libopus-dev (>= 1.3.1),
               libpci-dev,
               libpng-dev,
               libprotobuf-dev,
               libpulse-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6webchannel6-dev (>= 6.2.4~),
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libusb-1.0-0-dev,
               libvpx-dev (>= 1.8),
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libwebp-dev,
               libx11-xcb-dev,
               libxcb-dri3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-dev,
               libxnvctrl-dev,
               libxrandr-dev,
               libxrender-dev,
               libxshmfence-dev,
               libxslt1-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               ninja-build,
               node-pako,
               node-rollup-plugin-terser,
               node-yargs,
               nodejs,
               pkg-config,
               pkg-kde-tools,
               protobuf-compiler,
               python2,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               qt6-positioning-dev (>= 6.2.4~),
               qt6-tools-dev (>= 6.2.4~),
               re2c,
               rollup,
               ruby,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
Rules-Requires-Root: no

Package: libqt6webenginecore6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-webengine-abi (= 6.2.4)
Description: Qt 6 WebEngine Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core library.

Package: libqt6pdf6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF library.

Package: libqt6pdfquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 PDF Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Quick library.

Package: libqt6pdfwidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 PDF Widgets library.

Package: libqt6webenginecore6-bin
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Core binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Core binaries.

Package: libqt6webenginequick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick library.

Package: libqt6webenginequickdelegatesqml6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Quick Delegates QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Quick Delegates QML library.

Package: libqt6webenginewidgets6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libqt6webengine6-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Widgets library.

Package: libqt6webengine6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Web content engine library - data
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the arch independent parts of Qt WebEngine libraries.

Package: qt6-image-formats-plugin-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PDF image format plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package provides an image plugin that allows image-viewing applications
 to view PDF files (the first page of PDF will be shown).

Package: qml6-module-qtquick-pdf
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick (>= 6.2.4+dfsg~),
         qml6-module-qtquick-controls (>= 6.2.4+dfsg~),
         qml6-module-qtquick-shapes (>= 6.2.4+dfsg~),
         qml6-module-qtquick-templates (>= 6.2.4+dfsg~),
         qml6-module-qtquick-window (>= 6.2.4+dfsg~),
         qt6-image-formats-plugin-pdf,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick PDF QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt PDF module contains classes and functions for rendering PDF documents.
 .
 This package contains the Qt 6 Quick PDF QML module.

Package: qml6-module-qtwebengine
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.

Package: qml6-module-qtwebengine-controlsdelegates
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebEngine Controls Delegates QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the Qt 6 WebEngine Controls Delegates QML module
 for Qt 6 Declarative.

Package: qt6-webengine-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webchannel6-dev,
         libqt6webenginecore6 (= ${binary:Version}),
         libqt6webenginequick6 (= ${binary:Version}),
         libqt6webenginequickdelegatesqml6 (= ${binary:Version}),
         libqt6webenginewidgets6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-pdf-dev (= ${binary:Version})
Description: Qt 6 WebEngine library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 6 applications
 using Qt WebEngine libraries.

Package: qt6-webengine-private-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 WebEngine library - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebEngine provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
	export NINJAJOBS = -j$(NUMJOBS)
endif

# Reduce memory consumption
export LDFLAGS+=-Wl,--no-keep-memory
export NINJAFLAGS = -j2
export NINJAJOBS = -j2

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js \
	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/diff/diff_match_patch.js

override_dh_auto_clean:
	dh_auto_clean

	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
	for fname in $(touch_files); do \
		rm -f $(CURDIR)/$${fname}; \
	done

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DFEATURE_webengine_system_ffmpeg=ON \
		-DFEATURE_webengine_system_icu=ON \
		-DFEATURE_webengine_system_libevent=ON \
		-DFEATURE_qtpdf_build=ON \
		-DFEATURE_qtpdf_widgets_build=ON \
		-DFEATURE_qtpdf_quick_build=ON \
		-DFEATURE_webengine_proprietary_codecs=ON \
		-DFEATURE_webengine_kerberos=ON

	# Create js files, that are needed for building step for arch and indep builds
	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
		cat util.js jsevalcontext.js jstemplate.js exports.js > jstemplate_compiled.js

	# jQuery
	cp /usr/share/javascript/jquery/jquery.min.js examples/webenginewidgets/contentmanipulation/
	cp /usr/share/javascript/jquery/jquery.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/
	cp /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js src/3rdparty/chromium/third_party/pycoverage/coverage/htmlfiles/

	set -ex; for fname in $(touch_files); do \
		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
		touch $(CURDIR)/$${fname}; \
	done

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

override_dh_dwz:

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebengine-everywhere-src-(.*)\.tar\.xz

## qt6-webengine 6.2.4+dfsg-6ubuntu1+11.0trisquel5

=== debian/changelog ===
qt6-webengine (6.2.4+dfsg-6ubuntu1+11.0trisquel5) aramo; urgency=medium

  * Removed non-free and prebuilt binaries. Fixes #28287| TPH #196

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Jan 2025 23:47:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qt6-webengine
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: binutils (>= 2.32-8~),
                bison,
@@ -314,4 +314,3 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  Qt WebEngine provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 # Reduce memory consumption
 export LDFLAGS+=-Wl,--no-keep-memory
-export NINJAFLAGS = -j2
-export NINJAJOBS = -j2
+export NINJAFLAGS = -j4
+export NINJAJOBS = -j4
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
